// View Synthesis
// Dev Enviroment:
//    Windows 7 64bit with Visual Studio 2010 C++ x64
//    OpenCV 2.4.2 64bit
// Original code: View Synthesis Reference Software (VSRS) 3.5
// Last Update: Feb, 2014.

#pragma once
#include <string>

#define QUARTER 3 // for 2view
#define QUARTER_L 13 // for 2view, full width
#define QUARTER_STACK 4 // for 3view
#define HALF_QUARTER 5 // for 2view
#define HALF_QUARTER_STACK 6 // for 3view
#define QUARTER_ODD 7 // for 3view with single depth
#define QUARTER_ODD_L 8 // for 3view with single depth, full width
#define FULL_ODD 9 // for 3view with single depth, fullsize
#define FULL_ODD_L 10 // for 3view with single depth, fullsize
#define UNKNOWN 100

#define VIEW_2 2
#define VIEW_3 3

#define DEPTH_1 1
#define DEPTH_2 2
