::  GVD with ATM 13.3 mvc+d
::  Jan11 2015 NICT
::  ex. ATM133GVD 26 25 200 hall2 ( QP26 25fps 200frames Hall2)
::                %1 %2 %3  %4
md QP%1GVD
cd QP%1GVD
:: Clear Mutex
rd dec\MTX
rd MTX
::
::  Depth's QPI/QPP & QPB value set: 26/22, 31/27, 36/32, 41/37.
::  set /a QPB=%1-4
::  Jan13,2015 Ohgochi BUGFIX: This was the wrong setting at ATM 13.1 and earler.
set QPB=%1
::
set /a MTXQP=%1+5
::
if %2==25 (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
) else (
set FULLW=1024
set FULLH=768
set HALFW=512
set HALFH=384
)
:: Shark is FullHD with 30fps
if %4==shark (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
)
::
set CPF=cam_param_%4.txt
if %4==fly set CPF=cam_param_Fly_3.txt
if %4==street set CPF=cam_param_poznanstreet_GVD.txt
if %4==hall2 set CPF=cam_param_poznanhall2.txt
::
if %4==dancer set VPOS=5.0
if %4==dancer set RPOS=1.0
if %4==fly set VPOS=5.0
if %4==fly set RPOS=9.0
if %4==newspaper set VPOS=4.0
if %4==newspaper set RPOS=2.0
if %4==balloons set VPOS=3.0
if %4==balloons set RPOS=1.0
if %4==kendo set VPOS=3.0
if %4==kendo set RPOS=1.0
if %4==shark set VPOS=5.0
if %4==shark set RPOS=1.0
if %4==street set VPOS=4.0
if %4==street set RPOS=5.0
if %4==hall2 set VPOS=6.0
if %4==hall2 set RPOS=7.0
::
::Make Depth
gvdencd ..\encd3.cfg Mode=QUARTER_ODD DepthBind=D3.yuv TotalNumberOfFrames=%3 CameraParameterFile=..\..\..\configs\cam_param\%CPF% > ATM133GVDQP%1.log
::
::1DummyD/1D
lencodGVD-R64 -d ..\..\..\configs\mvc+d_GVD\encoder_texture.cfg -depd ..\..\..\configs\mvc+d_GVD\encoder_depth.cfg -p FramesToBeEncoded=%3 -p FrameRate=%2.0 -p SourceWidth=%FULLW% -p SourceHeight=%FULLH% -p OutputWidth=%FULLW% -p OutputHeight=%FULLH% -p OriginalWidth=%FULLW% -p OriginalHeight=%FULLH% -p TraceFile="GVDDD_trace_enc.txt" -p ReconFile1="GVDDD_rec.yuv" -p OutputFile="GVDDD.264" -p StatsFile="GVDDD_stats.dat" -p QPISlice=%1 -p QPPSlice=%1 -p QPBSlice=%1 -p 3DVCodingOrder="T0D0" -p 3DVConfigFile="..\..\..\configs\mvc+d_GVD\GVD_DummyD_%4.cfg" -depp SourceWidth=%HALFW% -depp SourceHeight=%HALFH% -depp OutputWidth=%HALFW% -depp OutputHeight=%HALFH% -depp OriginalWidth=%HALFW% -depp OriginalHeight=%HALFH% -depp ViewSynRDO=0 -depp NormalizeDepth=0 -depp PostDilation=0 -depp TraceFile="GVDDD_trace_enc_depth.txt" -depp ReconFile1="GVDDD_depth_rec.yuv" -depp StatsFile="GVDDD_depth_stats.dat" -depp QPISlice=%1 -depp QPPSlice=%1 -depp QPBSlice=%QPB% -depp HierarchicalCoding=0 -depp 3DVConfigFile="..\..\..\configs\mvc+d_GVD\GVD_depth_%4.cfg" >> ATM133GVDQP%1.log
::
:: WAIT for Mutex
if %1==41 goto RESIDUAL
:WAITR
if EXIST ..\QP%MTXQP%GVD\MTX goto RESIDUAL
ping localhost -n 20 > nul
goto WAITR
::
:RESIDUAL
:: Make Residual
gvdencr ..\encr3.cfg Mode=QUARTER_ODD_L DepthBind=GVDDD_depth_recV%VPOS%000.yuv TotalNumberOfFrames=%3 CameraParameterFile=..\..\..\configs\cam_param\%CPF% >> ATM133GVDQP%1.log
md MTX
::
:: WAIT for Mutex
:WAITE
if EXIST ..\QP26GVD\MTX goto ENCODE
ping localhost -n 20 > nul
goto WAITE
::
:ENCODE
:: 1V/1R/1D
lencodGVD-R64 -d ..\..\..\configs\mvc+d_GVD\encoder_texture.cfg -depd ..\..\..\configs\mvc+d_GVD\encoder_depth.cfg -p FramesToBeEncoded=%3 -p FrameRate=%2.0 -p SourceWidth=%FULLW% -p SourceHeight=%FULLH% -p OutputWidth=%FULLW% -p OutputHeight=%FULLH% -p OriginalWidth=%FULLW% -p OriginalHeight=%FULLH% -p TraceFile="GVDVRD_trace_enc.txt" -p ReconFile1="GVDVRD_rec.yuv" -p OutputFile="GVDVRD.264" -p StatsFile="GVDVRD_stats.dat" -p QPISlice=%1 -p QPPSlice=%1 -p QPBSlice=%1 -p 3DVCodingOrder="T0D0T1" -p 3DVConfigFile="..\..\..\configs\mvc+d_GVD\GVD_texture_%4.cfg" -p SEI_DepthViewInfo=1 -p GVD_DepthType=0 -p GVD_NumberOfResidualTextureViewsMinus1=1 -p GVD_Residual_depth_flag=0 -p GVD_z_flag=1 -p GVD_intrinsic_param_flag=1 -p GVD_rotation_flag=1 -p GVD_translation_flag=1 -depp SourceWidth=%HALFW% -depp SourceHeight=%HALFH% -depp OutputWidth=%HALFW% -depp OutputHeight=%HALFH% -depp OriginalWidth=%HALFW% -depp OriginalHeight=%HALFH% -depp ViewSynRDO=0 -depp NormalizeDepth=0 -depp PostDilation=0 -depp TraceFile="GVDVRD_trace_enc_depth.txt" -depp ReconFile1="GVDVRD_depth_rec.yuv" -depp StatsFile="GVDVRD_depth_stats.dat" -depp QPISlice=%1 -depp QPPSlice=%1 -depp QPBSlice=%QPB% -depp HierarchicalCoding=0 -depp 3DVConfigFile="..\..\..\configs\mvc+d_GVD\GVD_depth_%4.cfg" >> ATM133GVDQP%1.log
::
md dec
cd dec
::
::
ldecodGVD-R64 -f ..\..\..\..\configs\decoder.cfg -p InputFile="..\GVDVRD.264" -p OutputFileForTexture="VR_dec.yuv" -p OutputFileForDepth="DD_dec.yuv" -p NormalizeDepth=0 -p PostDilation=0 >> ..\ATM133GVDQP%1.log
::
:: WAIT for Mutex
if %1==41 goto DEC
:WAITD
if EXIST ..\..\QP%MTXQP%GVD\dec\MTX goto DEC
ping localhost -n 20 > nul
goto WAITD
::
:DEC
gvddec >> ..\ATM133GVDQP%1.log
md MTX
::
call ..\..\psnrGVD%4.bat %1
::
:END
::
cd ..\..
