::  ATM13.3 mvc+d
::  NICT Jan12, 2015
::  Shark REF
::  ex. ATM133REF 26 25 200 hall2 ( QP26 25fps 200frames Hall2)
::                %1 %2 %3  %4
rd REFQP%1\MTX
md REFQP%1
cd REFQP%1
::
if %2==25 (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
) else (
set FULLW=1024
set FULLH=768
set HALFW=512
set HALFH=384
)
:: Shark is FullHD with 30fps
if %4==shark (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
)
::
set CPF=cam_param_%4.txt
if %4==fly set CPF=cam_param_Fly_3.txt
if %4==street set CPF=..\..\Data\Poznan_Street_00_1920x1088_3reg.txt
if %4==hall2 set CPF=cam_param_poznanhall2.txt
::
set RENCPF=cam_%4.cfg
if %4==fly set RENCPF=cam_gtfly.cfg
if %4==hall2 set RENCPF=cam_poznanhall2.cfg
if %4==street set RENCPF=cam_poznanstreet.cfg
if %4==dancer set RENCPF=cam_undodancer.cfg
::
if %4==dancer set BVCN=5 1 9
if %4==dancer set CENTER=5.0
if %4==dancer set LEFT=1.0
if %4==dancer set RIGHT=9.0
if %4==fly set BVCN=5 9 1
if %4==fly set CENTER=5.0
if %4==fly set LEFT=9.0
if %4==fly set RIGHT=1.0
if %4==newspaper set BVCN=4 2 6
if %4==newspaper set CENTER=4.0
if %4==newspaper set LEFT=2.0
if %4==newspaper set RIGHT=6.0
if %4==balloons set BVCN=3 1 5
if %4==balloons set CENTER=3.0
if %4==balloons set LEFT=1.0
if %4==balloons set RIGHT=5.0
if %4==kendo set BVCN=3 1 5
if %4==kendo set CENTER=3.0
if %4==kendo set LEFT=1.0
if %4==kendo set RIGHT=5.0
if %4==shark set BVCN=5 1 9
if %4==shark set CENTER=5.0
if %4==shark set LEFT=1.0
if %4==shark set RIGHT=9.0
if %4==street set BVCN=4 5 3
if %4==street set CENTER=4.0
if %4==street set LEFT=5.0
if %4==street set RIGHT=3.0
if %4==hall2 set BVCN=6 7 5
if %4==hall2 set CENTER=6.0
if %4==hall2 set LEFT=7.0
if %4==hall2 set RIGHT=5.0
::
::
lencod-R64 -d ..\..\..\configs\mvc+d\encoder_texture.cfg -depd ..\..\..\configs\mvc+d\encoder_depth.cfg -p FramesToBeEncoded=%3 -p FrameRate=%2.0 -p SourceWidth=%FULLW% -p SourceHeight=%FULLH% -p OutputWidth=%FULLW% -p OutputHeight=%FULLH% -p OriginalWidth=%FULLW% -p OriginalHeight=%FULLH% -p QPISlice=%1 -p QPPSlice=%1 -p QPBSlice=%1 -p 3DVConfigFile="..\..\..\configs\mvc+d\texture_%4.cfg" -depp SourceWidth=%HALFW% -depp SourceHeight=%HALFH% -depp OutputWidth=%HALFW% -depp OutputHeight=%HALFH% -depp OriginalWidth=%HALFW% -depp OriginalHeight=%HALFH% -depp QPISlice=%1 -depp QPPSlice=%1 -depp QPBSlice=%1 -depp 3DVConfigFile="..\..\..\configs\mvc+d\depth_%4.cfg" > ATM133REFQP%1.log
::
md dec
cd dec
::
ldecod-R64 -f ..\..\..\..\configs\decoder.cfg -p InputFile="..\test.264" -p NormalizeDepth=1 PostDilation=1 >> ..\ATM133REFQP%1.log
::
TAppRenderer -c ..\..\..\..\configs\Renderer\rendering_3view_decData.cfg --FramesToBeRendered=%3 --SourceWidth=%FULLW% --SourceHeight=%FULLH% --BaseViewCameraNumbers="%BVCN%" --CameraParameterFile="..\..\..\..\configs\Renderer\%RENCPF%" --VideoInputFile_0="texture_decV%CENTER%000.yuv" --VideoInputFile_1="texture_decV%LEFT%000.yuv"  --VideoInputFile_2="texture_decV%RIGHT%000.yuv" --DepthInputFile_0="depth_decV%CENTER%000.yuv"  --DepthInputFile_1="depth_decV%LEFT%000.yuv" --DepthInputFile_2="depth_decV%RIGHT%000.yuv" --SynthOutputFileBaseName="ATM133REF_$.yuv" >> ..\ATM133REFQP%1.log
::
call ..\..\psnrREF%4.bat %1
::
md MTX
cd ..\..
