#pragma once
// View Synthesis Encoder for Depth
// Dev Enviroment:
//    Windows 7 64bit with Visual Studio 2010 C++ x64
//    OpenCV 2.4.2 64bit
// Last Update: Dec, 2011.

// Original code: View Synthesis Reference Software (VSRS) 3.5
//======================================created by Ying Chen =====================================
//===============Tampere University of Technology (TUT)/Nokia Research Center (NRC)===============

// # Any ID: LEFT to Right: 1, 2, 3


class CCameraParameters {
  public:
    double m_fIntrinsicMatrix[3][3];
    double m_fExtrinsicMatrix[3][3];
    double m_fTranslationVector[3];
    
    CCameraParameters();
    ~CCameraParameters() {};
    
    CCameraParameters& operator = (CCameraParameters& src);
};
