// View Synthesis
// Dev Enviroment:
//    Windows 7 64bit with Visual Studio 2010 C++ x64
//    OpenCV 2.4.2 64bit
// Original code: View Synthesis Reference Software (VSRS) 3.5
// Designer: Senoh, NiCT, Tokyo. Japan.
// Author: Ohgochi, NiCT, Tokyo. Japan.
// Last Update: Feb, 2014.

#pragma once

#define NORMAL_END 1

#define ABEND -1
#define BAD_COMAMND_LINE -10
#define BAD_CONFIG_FILE -20
#define BAD_CONFIG_OPTIONS -21

#define NO_FILEIO -60
#define DATAFILE_NOT_OPEN -61
#define OUTFILE_NOT_OPEN -62
#define DATAFILE_READ_ERR -63
#define OUTFILE_WRITE_ERR -64
#define DATA_SET_ERR -65
#define DATA_OUT_ERR -66


#define NO_INIT_SUBMIX 100
#define NO_INIT_SUBMIX_R1 101
#define NO_INIT_SUBMIX_R2 102
#define NO_INIT_SUBMIX_R3 103
#define NO_INIT_SUBMIX_R4 104
#define NO_INIT_SUBMIX_D 105

#define noInitSUBMIX cout << "GVD: ERR: SUBMIX area can't initialize: ." << endl;
#define noInitSUBMIX_R1 cout << "GVD: ERR: SUBMIX area can't initialize: R1." << endl;
#define noInitSUBMIX_R2 cout << "GVD: ERR: SUBMIX area can't initialize: R2." << endl;
#define noInitSUBMIX_R3 cout << "GVD: ERR: SUBMIX area can't initialize: R3." << endl;
#define noInitSUBMIX_R4 cout << "GVD: ERR: SUBMIX area can't initialize: R4." << endl;
#define noInitSUBMIX_D cout << "GVD: ERR: SUBMIX area can't initialize: D." << endl;

#define genABEND cout << endl << "GVD: Data files: EOF." << endl;

#define NO_INIT_YUVBUF 150
#define NO_INIT_YUVBUF_R1 151
#define NO_INIT_YUVBUF_R2 152
#define NO_INIT_YUVBUF_R3 153
#define NO_INIT_YUVBUF_R4 154
#define NO_INIT_YUVBUF_D 155

#define noInitYUVBUF cout << "GVD: ERR: YUV buffer can't initialize: ." << endl;
#define noInitYUVBUF_R1 cout << "GVD: ERR: YUV buffer can't initialize: R1." << endl;
#define noInitYUVBUF_R2 cout << "GVD: ERR: YUV buffer can't initialize: R2." << endl;
#define noInitYUVBUF_R3 cout << "GVD: ERR: YUV buffer can't initialize: R3." << endl;
#define noInitYUVBUF_R4 cout << "GVD: ERR: YUV buffer can't initialize: R4." << endl;
#define noInitYUVBUF_D cout << "GVD: ERR: YUV buffer can't initialize: D." << endl;

